> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ai-cmo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get persisted run results grouped by engine



## OpenAPI

````yaml /openapi.json get /api/v1/workspaces/{workspace}/runs/{id}/detail
openapi: 3.0.3
info:
  title: ai-cmo.dev Services API
  version: 1.0.0
servers: []
security: []
tags:
  - name: Meta
    description: Health and the generated API description.
  - name: Auth
    description: Signup, login, sessions and email verification.
  - name: Device authorization
    description: Browser-approved API key provisioning for agents and the MCP server.
  - name: Setup tokens
    description: Single-use tokens that bootstrap a connector or agent.
  - name: MCP
    description: The canonical MCP install prompt.
  - name: Workspaces
    description: Workspace creation, settings, profile and competitors.
  - name: API keys
    description: 'Key lifecycle: create, deliver, acknowledge, rotate, revoke.'
  - name: Connections
    description: Connector status, tests, configuration and credentials.
  - name: Runs
    description: Measurement runs and their jobs.
  - name: Research
    description: The five-stage research pipeline.
  - name: Prompts
    description: The measurement prompt set.
  - name: Recommendations
    description: Recommendation board and guarded lifecycle transitions.
  - name: Reports
    description: Stable report identities and the report catalog.
  - name: Scores & metrics
    description: GEO score, scoreboard, metrics, timeseries and SEO.
  - name: Credits & billing
    description: Micro-USD credits, top-ups and Stripe checkout.
  - name: Team
    description: Members, roles and invitations.
  - name: Chat
    description: The workspace assistant (SSE) and its threads.
  - name: Webhooks
    description: Inbound webhooks.
paths:
  /api/v1/workspaces/{workspace}/runs/{id}/detail:
    get:
      tags:
        - Runs
      summary: Get persisted run results grouped by engine
      operationId: getWorkspaceRunDetail
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9-]+$
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RunDetail'
      security:
        - cookieAuth: []
        - bearerAuth:
            - runs:read
components:
  schemas:
    RunDetail:
      type: object
      properties:
        runId:
          type: string
        brand:
          type: string
        date:
          type: string
        preset:
          type: string
          nullable: true
        status:
          type: string
          nullable: true
        startedAt:
          type: string
          nullable: true
        finishedAt:
          type: string
          nullable: true
        durationMs:
          type: integer
          minimum: 0
          nullable: true
        totalCostUsd:
          type: number
          minimum: 0
        responseCount:
          type: integer
          minimum: 0
        okCount:
          type: integer
          minimum: 0
        errorCount:
          type: integer
          minimum: 0
        skippedCount:
          type: integer
          minimum: 0
        engines:
          type: array
          items:
            type: object
            properties:
              engine:
                type: string
              promptCount:
                type: integer
                minimum: 0
              responseCount:
                type: integer
                minimum: 0
              okCount:
                type: integer
                minimum: 0
              errorCount:
                type: integer
                minimum: 0
              skippedCount:
                type: integer
                minimum: 0
              costUsd:
                type: number
                minimum: 0
              averageLatencyMs:
                type: number
                minimum: 0
                nullable: true
            required:
              - engine
              - promptCount
              - responseCount
              - okCount
              - errorCount
              - skippedCount
              - costUsd
              - averageLatencyMs
            additionalProperties: false
        reportId:
          type: string
          nullable: true
      required:
        - runId
        - brand
        - date
        - preset
        - status
        - startedAt
        - finishedAt
        - durationMs
        - totalCostUsd
        - responseCount
        - okCount
        - errorCount
        - skippedCount
        - engines
        - reportId
      additionalProperties: false
  securitySchemes:
    cookieAuth:
      type: apiKey
      in: cookie
      name: geo.session
      description: Signed HttpOnly browser session cookie
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: gp_live_<43 base64url characters>
      description: Workspace-bound machine API key

````